Package org.eclipse.cdt.core.parser

## Class ParserFactory

- java.lang.Object
- - org.eclipse.cdt.core.parser.ParserFactory

    public class ParserFactory
    extends Object

Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
`ParserFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IParserLogService` `createDefaultLogService()`
`static Set<String>` `getKeywordSet​(KeywordSetKey key, ParserLanguage language)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParserFactory

    public ParserFactory()

### Method Detail

#### createDefaultLogService

    public static IParserLogService createDefaultLogService()

#### getKeywordSet

    public static Set<String> getKeywordSet​(KeywordSetKey key,
                                            ParserLanguage language)